local old_init = CopBase.init

function CopBase:default_weapon_name()
	local default_weapon_id = self._default_weapon_id
	local weap_ids = tweak_data.character.weap_ids
	local diff_index = tweak_data:difficulty_to_index(Global.game_settings.difficulty)
	
	local reinfeld = Idstring("units/payday2/weapons/wpn_npc_r870/wpn_npc_r870")

	local unit_name = self._unit:name()

	local zeal = unit_name == Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy") 
	or unit_name == Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
	


	if zeal and math.random(0,100) < 10 then
		return reinfeld
	else
		for i_weap_id, weap_id in ipairs(weap_ids) do
			if default_weapon_id == weap_id then
				return tweak_data.character.weap_unit_names[i_weap_id]
			end
		end
	end
end